Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-sdl2/messagewin.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Macros | Functions | Variables
messagewin.c File Reference
`#include <SDL2/SDL.h>`
`#include "fcintl.h"`
`#include "log.h"`
`#include "options.h"`
`#include "citydlg.h"`
`#include "colors.h"`
`#include "graphics.h"`
`#include "gui_id.h"`
`#include "gui_main.h"`
`#include "gui_tilespec.h"`
`#include "mapview.h"`
`#include "themespec.h"`
`#include "utf8string.h"`
`#include "widget.h"`
`#include "messagewin.h"`

Go to the source code of this file.

## Macros

#define | N_MSG_VIEW 6
#define | PTSIZE_LOG_FONT 0

## Functions

static int | msg_callback (struct widget *pwidget)
static int | move_msg_window_callback (struct widget *pwindow)
void | real_meswin_dialog_update (void *unused)
void | meswin_dialog_popup (bool raise)
void | meswin_dialog_popdown (void)
bool | meswin_dialog_is_open (void)

## Variables

static struct advanced_dialog * | msg_dlg = NULL

## Macro Definition Documentation

## ◆ N_MSG_VIEW

#define N_MSG_VIEW 6

Definition at line 58 of file messagewin.c.

## ◆ PTSIZE_LOG_FONT

#define PTSIZE_LOG_FONT 0

Definition at line 62 of file messagewin.c.

## Function Documentation

## ◆ meswin_dialog_is_open()

bool meswin_dialog_is_open | ( | void |  | ) |

Return whether the message dialog is open.

Definition at line 320 of file messagewin.c.

## ◆ meswin_dialog_popdown()

void meswin_dialog_popdown | ( | void |  | ) |

Popdown the messages dialog; called by popdown_all_game_dialogs()

Definition at line 307 of file messagewin.c.

## ◆ meswin_dialog_popup()

void meswin_dialog_popup | ( | bool | raise | ) |

Popup (or raise) the message dialog; typically triggered by 'F9'.

Definition at line 242 of file messagewin.c.

## ◆ move_msg_window_callback()

static int move_msg_window_callback | ( | struct widget * | pwindow | ) |

static

Called from default clicks on a messages window.

Definition at line 87 of file messagewin.c.

Referenced by meswin_dialog_popup().

## ◆ msg_callback()

static int msg_callback | ( | struct widget * | pwidget | ) |

static

Called from default clicks on a message.

Definition at line 69 of file messagewin.c.

Referenced by real_meswin_dialog_update().

## ◆ real_meswin_dialog_update()

void real_meswin_dialog_update | ( | void * | unused | ) |

Really update message window.

Definition at line 103 of file messagewin.c.

## Variable Documentation

## ◆ msg_dlg

struct advanced_dialog* msg_dlg = NULL

static

Definition at line 64 of file messagewin.c.

Referenced by meswin_dialog_is_open(), meswin_dialog_popdown(), meswin_dialog_popup(), move_msg_window_callback(), and real_meswin_dialog_update().